@echo off
title RigAndLog - Windows 11 information

:: Detect system language
set LANG=EN
for /f "tokens=2 delims==" %%A in (
  'wmic os get locale /value ^| find "="'
) do set LOCALE=%%A

if /I "%LOCALE%"=="0415" set LANG=PL

:: Detect Smart App Control state
set SAC=UNKNOWN
for /f "tokens=3" %%A in (
  'reg query "HKLM\SOFTWARE\Microsoft\Windows Defender\SmartAppControl" /v SmartAppControlState 2^>nul'
) do set SAC=%%A

echo.

if "%LANG%"=="PL" goto PL
goto EN

:PL
if "%SAC%"=="0x1" (
    echo Windows 11 z wlaczona Inteligentna kontrola aplikacji.
    echo.
    echo RigAndLog moze zostac zablokowany, poniewaz
    echo aplikacja nie jest podpisana cyfrowo.
    echo.
    echo Jest to normalne dla wielu programow krotkofalarskich.
    echo.
    echo Szczegoly i instrukcja:
    echo https://sp4thk.elfro.pl/index.php/download-2/
    echo.
	pause

)
goto ENDMSG

:EN
if "%SAC%"=="0x1" (
    echo Windows 11 Smart App Control is enabled.
    echo.
    echo RigAndLog may be blocked because it is not digitally signed.
    echo.
    echo This is normal for many amateur radio applications.
    echo.
    echo Details and instructions:
    echo https://sp4thk.elfro.pl/index.php/download-3/
    echo.
	pause

)
goto ENDMSG

:ENDMSG


if exist "RigAndLog_SP4THK.exe" (
    start "" "RigAndLog_SP4THK.exe"
    goto :EOF
)

if exist "RigAndLog\RigAndLog_SP4THK.exe" (
    pushd "RigAndLog"
    start "" "RigAndLog_SP4THK.exe"
    popd
    goto :EOF
)

if exist "RigAndLog32\RigAndLog_SP4THK.exe" (
    pushd "RigAndLog32"
    start "" "RigAndLog_SP4THK.exe"
    popd
    goto :EOF
)

echo.
if "%LANG%"=="PL" goto PL1
goto EN1
:EN1
echo RigAndLog executable not found.
echo Please check installation files.
echo.
pause
goto :EOF

:PL1
echo Nie znaleziono pliku RigAndLog.
echo Sprawdz pliki instalacji.
echo.
pause
goto :EOF

:EOF
